apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "localizedrupalorg.fullname" . }}
  labels:
    {{- include "localizedrupalorg.labels" . | nindent 4 }}
spec:
  {{- if not .Values.autoscaling.enabled }}
  replicas: {{ .Values.replicaCount }}
  {{- end }}
  selector:
    matchLabels:
      {{- include "localizedrupalorg.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      annotations:
      {{- with .Values.podAnnotations }}
        {{- toYaml . | nindent 8 }}
      {{- end }}
        checksum/configmap: {{ include (print $.Template.BasePath "/configmap.yaml") . | sha256sum }}
      labels:
        {{- include "localizedrupalorg.selectorLabels" . | nindent 8 }}
    spec:
      {{- with .Values.imagePullSecret }}
      imagePullSecrets:
        - name: {{ . }}
      {{- end }}
      serviceAccountName: {{ include "localizedrupalorg.serviceAccountName" . }}
      securityContext:
        {{- toYaml .Values.podSecurityContext | nindent 8 }}
      containers:
        - name: {{ .Chart.Name }}
          securityContext:
            {{- toYaml .Values.securityContext | nindent 12 }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag | default .Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          env:
            - name: DB_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: db-password
                  key: password
            - name: DRUPAL_HASH_SALT
              valueFrom:
                secretKeyRef:
                  name: drupal-salt
                  key: salt
          envFrom:
            - configMapRef:
                name: {{ include "localizedrupalorg.fullname" . }}-config
          ports:
            - name: http
              containerPort: 8080
              protocol: TCP
          resources:
            {{- toYaml .Values.resources | nindent 12 }}
          volumeMounts:
            - mountPath: /app/web/files
              name: shared-files
            - mountPath: /app/db_backups
              name: db-backups
      {{- with .Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.affinity }}
      affinity:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      {{- with .Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      volumes:
      - name: shared-files
        persistentVolumeClaim:
         claimName: {{ include "localizedrupalorg.fullname" . }}-shared-files
      - name: db-backups
        persistentVolumeClaim:
         claimName: {{ include "localizedrupalorg.fullname" . }}-db-backups
